Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class DockPanel.LayoutData

    java.lang.Object
      com.google.gwt.user.client.ui.DockPanel.LayoutData

Enclosing class:
  DockPanel

    static class DockPanel.LayoutData

extends java.lang.Object

Field Summary
`DockPanel.DockLayoutConstant` | `direction`
`java.lang.String` | `hAlign`
`java.lang.String` | `height`
`Element` | `td`
`java.lang.String` | `vAlign`
`java.lang.String` | `width`

Constructor Summary
`DockPanel.LayoutData(DockPanel.DockLayoutConstant dir)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### direction

    public DockPanel.DockLayoutConstant direction

### hAlign

    public java.lang.String hAlign

### height

    public java.lang.String height

### td

    public Element td

### vAlign

    public java.lang.String vAlign

### width

    public java.lang.String width

Constructor Detail

### DockPanel.LayoutData

    public DockPanel.LayoutData(DockPanel.DockLayoutConstant dir)

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD